aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Gunhan Gulsoy <gunan@google.com>2016-12-18 22:58:33 -0800
committerGravatar TensorFlower Gardener <gardener@tensorflow.org>2016-12-18 23:05:41 -0800
commit0b053a739d76e01f988b6f03fbddfc2f21577b9a (patch)
tree1a0073241478ea26892ca5e1a5a07b2494e26fb2
parentf1392f570fdbf1b1dbaea23e9f97c5bd7c364730 (diff)
Create a new script for no docker python 2 bazel build for CPU.
Change: 142413551
-rw-r--r--tensorflow/tools/ci_build/linux/cpu/run.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tensorflow/tools/ci_build/linux/cpu/run.sh b/tensorflow/tools/ci_build/linux/cpu/run.sh
new file mode 100644
index 0000000000..4ab545ecb9
--- /dev/null
+++ b/tensorflow/tools/ci_build/linux/cpu/run.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+# Copyright 2016 The TensorFlow Authors. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# ==============================================================================
+
+set -e
+set -x
+
+N_JOBS=$(grep -c ^processor /proc/cpuinfo)
+
+echo ""
+echo "Bazel will use ${N_JOBS} concurrent job(s)."
+echo ""
+
+# Run configure.
+export TF_NEED_GCP=0
+export TF_NEED_HDFS=0
+export TF_NEED_CUDA=0
+export PYTHON_BIN_PATH=`which python2`
+yes "" | ./configure
+
+# Run bazel test command. Double test timeouts to avoid flakes.
+bazel test --test_tag_filters=-gpu --jobs=${N_JOBS} --test_timeout 300,450,1200,3600 //tensorflow/...